Package weka.core

# Class SelectedTag

java.lang.Object
weka.core.SelectedTag

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class SelectedTag extends Object implements RevisionHandler, Serializable
Represents a selected value from a finite set of values, where each value is a Tag (i.e. has some string associated with it). Primarily used in schemes to select between alternative behaviours, associating names with the alternative behaviours.

Version:
  $Revision: 11718 $
Author:
  Len Trigg
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectedTag(int tagID, Tag[] tags)`
  Creates a new `SelectedTag` instance.
  `SelectedTag(String tagText, Tag[] tags)`
  Creates a new `SelectedTag` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Returns true if this SelectedTag equals another object
  `String`
  `getRevision()`
  Returns the revision string.
  `Tag`
  `getSelectedTag()`
  Gets the selected Tag.
  `Tag[]`
  `getTags()`
  Gets the set of all valid Tags.
  `String`
  `toString()`
  returns the selected tag in string representation

  ### Methods inherited from class java.lang.Object

  `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SelectedTag

    public SelectedTag(int tagID, Tag[] tags)
    Creates a new `SelectedTag` instance.
    Parameters:
      `tagID` - the id of the selected tag.
      `tags` - an array containing the possible valid Tags.
    Throws:
      `IllegalArgumentException` - if the selected tag isn't in the array of valid values or the IDs/IDStrs are not unique.

  - ### SelectedTag

    public SelectedTag(String tagText, Tag[] tags)
    Creates a new `SelectedTag` instance.
    Parameters:
      `tagText` - the text of the selected tag (case-insensitive).
      `tags` - an array containing the possible valid Tags.
    Throws:
      `IllegalArgumentException` - if the selected tag isn't in the array of valid values.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Returns true if this SelectedTag equals another object
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - the object to compare with
    Returns:
      true if the tags and the selected tag are the same

  - ### getSelectedTag

    public Tag getSelectedTag()
    Gets the selected Tag.
    Returns:
      the selected Tag.

  - ### getTags

    public Tag[] getTags()
    Gets the set of all valid Tags.
    Returns:
      an array containing the valid Tags.

  - ### toString

    public String toString()
    returns the selected tag in string representation
    Overrides:
      `toString` in class `Object`
    Returns:
      the selected tag as string

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision